<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */
define('PAGESTR', 5);
define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if ($set['search'] == 0) header('Location: '.SCRIPT);

require_header('Поиск файлов');

$true = false;

if (isset($_GET['search'])) {

	$error = '';
	
	if (empty($_GET['search'])) {
		$error = 'Ключевое слово не должно быть пустым!';
	}
	else if (iconv_strlen($_GET['search']) < 3 || iconv_strlen($_GET['search']) > 25) {
		$error = 'Ключевое слово должно содержать от 3 до 25 символов!';
	}
	
	if ($error) {
		header('Refresh: 1, url='.SCRIPT.'/search.xhtml');
		echo '<div class="error">'.$error.'</div>';
	} else {
		$true = true;
	}

}

echo '<form class="menu" action="" method="get">
<b>Ключевое слово:</b><br/><input type="text" name="search" value="'.(isset($_GET['search']) ? htmlspecialchars($_GET['search']) : '').'" maxlength="25"/><br/>
<input type="submit" value="Начать поиск"/>
</form>';

if ($true) {

	$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."files` WHERE `name` LIKE '%".str_replace(array('%', '_'), array('\%', '\_'), urldecode(mysql_real_escape_string(trim($_GET['search']))))."%' AND `size`>'0'"));

	$k_page = k_page($count[0], PAGESTR); 
	$page = page($k_page);
	define('START', (PAGESTR * $page - PAGESTR));

	echo '<div class="title">Результаты запроса</div>';

	if ($count[0] == 0) {
		echo '<div class="menu">По вашему запросу ничего не найдено!</div>';
	} else {
	
		$sql = mysql_query("SELECT `id`, `path`, `name`, `size`, `load` FROM `".SQLprefixTable."files` WHERE `name` LIKE '%".str_replace(array('%', '_'), array('\%', '\_'), urldecode(mysql_real_escape_string(trim($_GET['search']))))."%' AND `size`>'0' LIMIT ".START.", ".PAGESTR);
	
		echo '<div class="block">По вашему запросу найдено: '.GetName($count[0], 'файл', 'файла', 'файлов').'!</div>';
	
		$i = 0;
		
		while ($row = mysql_fetch_assoc($sql)) {
		
			if (is_file($row['path'])) {
		
				$ext = strtolower(pathinfo($row['path'], PATHINFO_EXTENSION));

				echo '<div class="'.($i++ % 2 ? 'main' : 'menu').'"><table><tr>';

				$filename = pathinfo($row['path'], PATHINFO_BASENAME);
				
				if (is_file($set['screen'].'/'.$filename.'.gif') || is_file($set['screen'].'/'.$filename.'.GIF')) {
					echo '<td><img src="'.SCRIPT.'/'.$filename.'.gif.image" alt="'.$ext.'"/></td>';
				}
				else if (is_file($set['screen'].'/'.$filename.'.jpg') || is_file($set['screen'].'/'.$filename.'.JPG')) {
					echo '<td><img src="'.SCRIPT.'/'.$filename.'.jpg.image" alt="'.$ext.'"/></td>';
				}
				else if (is_file($set['screen'].'/'.$filename.'.png') || is_file($set['screen'].'/'.$filename.'.PNG')) {
					echo '<td><img src="'.SCRIPT.'/'.$filename.'.png.image" alt="'.$ext.'"/></td>';
				}
				else if (is_file($set['screen'].'/'.$filename.'.jpeg') || is_file($set['screen'].'/'.$filename.'.JPEG')) {
					echo '<td><img src="'.SCRIPT.'/'.$filename.'.jpeg.image" alt="'.$ext.'"/></td>';
				}
				else if ($ext == 'gif' || $ext == 'jpeg' || $ext == 'jpg' || $ext == 'png') {
					echo '<td><img src="'.SCRIPT.'/'.$row['id'].'.img" alt="'.$ext.'"/></td>';
				}
				else if (($ext == '3gp' || $ext == 'mp4') && extension_loaded('ffmpeg')) {
					echo '<td><img src="'.SCRIPT.'/'.$row['id'].'.ffmpeg" alt="'.$ext.'"/></td>';
				}
				else if ($ext == 'thm' || $ext == 'nth') {
					echo '<td><img src="'.SCRIPT.'/'.$row['id'].'[small].theme" alt="'.$ext.'"/></td>';
				}

				echo '<td><a href="'.SCRIPT.'/view/'.$row['id'].'/">'.htmlspecialchars($row['name']).'</a><br/>
				Размер: '.size($row['size']).'<br/>
				Скачиваний: '.$row['load'].'</td>
				</tr></table></div>';
			}
		
		}
		
		if ($k_page > 1) {
			navigation(SCRIPT.'/search.xhtml/'.htmlspecialchars($_GET['search']).'/', $k_page, $page);
		}
		
	}
	
}

echo '<div class="block"><a href="'.SCRIPT.'">Все загрузки</a></div>';

require_footer();
?>